Part Circle/cs: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(16 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Part_Circle|MenuLocation=Part → [[Part_CreatePrimitives|Create Primitives]] → Circle|Workbenches=[[Part Module|Part]], [[OpenSCAD_Module|OpenSCAD]]|SeeAlso=..}}

{{Docnav
|[[Part_Spiral|Spiral]]
|[[Part_Ellipse|Ellipse]]
|[[Part_Workbench|Part]]
|IconL=Part_Spiral.svg
|IconR=Part_Ellipse.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Part_Circle|Name/cs=Díl Kružnice|MenuLocation=Díl → [[Part_CreatePrimitives/cs|Vytváření zákl.geom.tvarů]] → Kružnice|Workbenches=[[Part_Workbench/cs|Díl]], [[OpenSCAD_Workbench/cs|OpenSCAD]]|SeeAlso=..}}
</div>

== Description ==

A [[Image:Part_Circle.svg|24px]] '''Part Circle''' is a parametric shape that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the circle lies on the XY plane with its center at the origin.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.

[[Image:Part_Circle_Example.png|400px]]

==Usage==

See [[Part_Primitives#Usage|Part Primitives]].

A Part Circle can alternatively be created by selecting three points:
# In the task panel of the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command select the {{MenuCommand|[[Image:Part_Circle.svg|16px]] Circle}} option from the dropdown list.
# Press the {{Button|From three points}} button.
# Select three vertices in the [[3D_view|3D view]]. There is no need to hold down the {{KEY|Ctrl}} key.
# A circle is created.
# The selected vertices are only used at creation time to calculate the {{PropertyData|Radius}} and {{PropertyData|Placement}} of the circle.

== Example ==

[[Image:Part_Circle_Scripting_Example.png|thumb|Part Circle from the scripting example]]


A Part Circle object created with the [[#Scripting|scripting example]] below is shown here.


<span id="Properties"></span>
<div class="mw-translate-fuzzy">
===Základní geometrické tvary===
===Základní geometrické tvary===
{|
{|
Line 8: Line 47:
Kružnice
Kružnice
====Parametr====
====Parametr====
* {{Parameter/cs|Poloměr}}:
* {{Parameter|Poloměr}}:
* {{Parameter/cs|Úhel 1}}:
* {{Parameter|Úhel 1}}:
* {{Parameter/cs|Úhel 2}}:
* {{Parameter|Úhel 2}}:
* {{Parameter/cs|Ze tří bodů}}:
* {{Parameter|Ze tří bodů}}:
====Umístění====
====Umístění====
*
*
*
*
|}
|}
</div>


See also: [[Property_editor|Property editor]].
===Property===
{|
| [[File:PartCircleProperty_it.png]]
|
==== View ====
..
==== Data ====
{{KEY|Base}}<br />
* {{ProprietaDati|Angle0}} :
* {{ProprietaDati|Angle1}} :
* {{ProprietaDati|Placement}}:
* {{ProprietaDati|Radius}} :
|}


A Part Circle object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
{{clear}}

<languages/>
{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

* {{PropertyData|Radius|Length}}: The radius of the circle or circular arc. The default is {{Value|2mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the circular arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|0°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the circular arc. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If {{PropertyData|Angle1}} and {{PropertyData|Angle2}} are equal, or if one angle is {{Value|0°}} and the other {{Value|360°}}, a full circle is created.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Circle can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
}}

* Where {{Incode|"myCircle"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}


{{Docnav
|[[Part_Spiral|Spiral]]
|[[Part_Ellipse|Ellipse]]
|[[Part_Workbench|Part]]
|IconL=Part_Spiral.svg
|IconR=Part_Ellipse.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:52, 21 January 2023

Díl Kružnice

Umístění Menu
Díl → Vytváření zákl.geom.tvarů → Kružnice
Pracovní stoly
Díl, OpenSCAD
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
..

Description

A Part Circle is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its ÚdajePlacement property, the circle lies on the XY plane with its center at the origin.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its ÚdajeAngle1 and/or ÚdajeAngle2 properties.

Usage

See Part Primitives.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the ÚdajeRadius and ÚdajePlacement of the circle.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Základní geometrické tvary

Kružnice

Parametr

  • Poloměr:
  • Úhel 1:
  • Úhel 2:
  • Ze tří bodů:

Umístění

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • ÚdajeRadius (Length): The radius of the circle or circular arc. The default is 2mm.
  • ÚdajeAngle1 (Angle): The start angle of the circular arc. Valid range: 0° < value <= 360°. The default is .
  • ÚdajeAngle2 (Angle): The end angle of the circular arc. Valid range: 0° < value <= 360°. The default is 360°. If ÚdajeAngle1 and ÚdajeAngle2 are equal, or if one angle is and the other 360°, a full circle is created.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()